<?php
class OPTION_Init {
    //全部设置文件

    public static $includes = array(
        'notice-page', 
        'options-btn',
        'options-store',
        'options-level',
        'slot/hidden-fields',
        'slot/hbgroup-fields',
        'slot/hblist-fields',
        'slot/vip-discount',
        'theme-customize',
        'theme-taxonomy',
        'theme-option', //必须最后加载
    );    

    public static function init() {
        //加载所有设置参数
        $pix_options = self::$includes;
        foreach ( $pix_options as $pix_option) {
            $path = 'inc/options/' . $pix_option . '.php';
            require_once get_theme_file_path($path);
        }

    }

}

//挂载init
OPTION_Init::init();